aboutsummaryrefslogtreecommitdiff
path: root/sway-de/sway/.local/bin/dnf-needs-restarting
diff options
context:
space:
mode:
authorMatt Singleton <matt@xcolour.net>2023-04-02 20:16:45 -0500
committerMatt Singleton <matt@xcolour.net>2023-04-11 16:06:09 -0500
commit5ca60114560f24617d0a82ef230bc11484617800 (patch)
tree471cfb42af8518d262b1b2403971479f2fc65dc0 /sway-de/sway/.local/bin/dnf-needs-restarting
parented3b3470003bf3bcb9ea605daf9d8c68458474df (diff)
each program in a sway package
Diffstat (limited to 'sway-de/sway/.local/bin/dnf-needs-restarting')
-rwxr-xr-xsway-de/sway/.local/bin/dnf-needs-restarting26
1 files changed, 26 insertions, 0 deletions
diff --git a/sway-de/sway/.local/bin/dnf-needs-restarting b/sway-de/sway/.local/bin/dnf-needs-restarting
new file mode 100755
index 0000000..a080649
--- /dev/null
+++ b/sway-de/sway/.local/bin/dnf-needs-restarting
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -eo pipefail
+
+if command -v dnf > /dev/null; then
+ DNFCMD="dnf"
+fi
+if command -v jq > /dev/null; then
+ JQCMD="jq"
+fi
+if [ -z "$DNFCMD" ] || [ -z "$JQCMD" ]; then
+ echo "{\"tooltip\": \"requires 'jq' and 'dnf'\", \"text\": \"\"}"
+ exit 1
+fi
+
+set -u
+
+if ! output="$($DNFCMD needs-restarting -r)"; then
+ icon=""
+else
+ icon=""
+fi
+
+# this is a literal expression for `jq`
+# shellcheck disable=SC2016
+$JQCMD --unbuffered -n -c '{tooltip: $ARGS.positional[0], text: $ARGS.positional[1]}' --args "$output" "$icon"